INSERT INTO METADATA_JOURNAL (
  WORKFLOW_EXECUTION_UUID,
  METADATA_KEY,
  CALL_FQN,
  JOB_SCATTER_INDEX,
  JOB_RETRY_ATTEMPT,
  METADATA_VALUE,
  METADATA_VALUE_TYPE,
  METADATA_TIMESTAMP
)
  SELECT
    WORKFLOW_EXECUTION_UUID,
    CONCAT('runtimeAttributes:', ra.ATTRIBUTE_NAME),
    CALL_FQN,
    IDX,
    ATTEMPT,
    ra.ATTRIBUTE_VALUE,
    'string',
    NOW()
  FROM RUNTIME_ATTRIBUTES ra
    LEFT JOIN EXECUTION e ON ra.EXECUTION_ID = e.EXECUTION_ID
    JOIN WORKFLOW_EXECUTION we ON we.WORKFLOW_EXECUTION_ID = e.WORKFLOW_EXECUTION_ID;
